在Debian上使用Apt固定

我已經回到 Debian Squeeze。 促使我返回到的穩定分支的原因 Debian的, (因為我一直都在使用 測試) 一直顯示不正確 活版印刷 使用一個 核心 高於版本 2.6.32-5-686.

採取此步驟的主要問題是,我丟失了許多存儲庫中的軟件包 Debian測試Debian穩定版 不具有。 他們的例子是 LibreOffice的3.4.3 y Turpial.

幸運的是 Debian的 有一個選擇 易於定位 您會想知道這是乾什麼的? 好吧,無需深入探討技術難題, 定位 我可以用 Debian Squeeze 同時, 德比安·威茲(Debian Wheezy)。 酷吧?

我該怎麼辦?

安裝後 Debian Squeeze 並配置它,更新它,依此類推,我要做的第一件事是添加以下內容的存儲庫 測試,因此文件/etc/apt/sources.list如下所示:

# Repositorios Stable
deb http://ftp.debian.org/debian squeeze main contrib non-free
# Repositorios Testing
deb http://ftp.debian.org/debian wheezy main contrib non-free

稍後我創建文件 / etc / apt /首選項 我把它放在裡面:

Package: *
Pin: release n=stable
Pin-Priority: 900

Package: *
Pin: release n=testing
Pin-Priority: 800

現在,我打開一個終端更新存儲庫。

$ sudo apt-get update

現在,當我想安裝時 Turpial 例如,我有兩種在終端中執行此操作的方法:

$ sudo apt-get install turpial/testing
$ sudo apt-get -t testing install turpial

Y APT 它負責僅選擇一個存儲庫和另一個存儲庫的必要依賴項。 如果您想了解更多有關此的信息,可以訪問 此鏈接.


本文內容遵循我們的原則 編輯倫理。 要報告錯誤,請單擊 這裡.

28條評論,留下您的評論

發表您的評論

您的電子郵件地址將不會被發表。 必填字段標有 *

*

*

  1. 負責數據:MiguelÁngelGatón
  2. 數據用途:控制垃圾郵件,註釋管理。
  3. 合法性:您的同意
  4. 數據通訊:除非有法律義務,否則不會將數據傳達給第三方。
  5. 數據存儲:Occentus Networks(EU)託管的數據庫
  6. 權利:您可以隨時限制,恢復和刪除您的信息。

  1.   愛德華多 他說:

    mmm非常有趣interesting
    我在家用PC上使用Debian Squeeze,此數據對我非常有用。 讓我們試試吧🙂
    感謝您對博客所做的貢獻。

    PD =我無法輸入您在帖子末尾添加的鏈接,該鏈接指向esdebian論壇。

    1.    elav <°Linux 他說:

      您是從古巴來的嗎? 因為如果是這樣,那麼我將告訴您我們已鎖定esDebian。

      1.    愛德華多 他說:

        我是阿根廷🙂您發帖時,esdebian服務器似乎未聯機,所以我無法在那輸入。
        他們在花中闡明:
        http://www.esdebian.org/foro/47527/esdebian-sitios-hermanos-estuvieron-caidos

        1.    KZKG ^ Gaara 他說:

          感謝您提供的信息,我們(elav和I)不能僅僅因為我們生活在古巴而訪問esDebian,所以對我們來說,它始終是離線或封閉的哈哈。
          無論如何,真的,並且順便說一下:“歡迎來到我們不起眼的網站»🙂

          問候朋友。

      2.    MSX 他說:

        我剛剛讀到:“我們被鎖定在esDebian上。”

        多麼荒唐,為什麼會這樣?

        1.    KZKG ^ Gaara 他說:

          發生這種情況的原因是,來自我們國家(古巴)的許多白痴進入esDebian並寫了很多愚蠢的東西,所以... esDebian的管理員選擇了他們最簡單的“解決方案”,但為我們加倍搞砸了...他們阻止了來自古巴IP的所有訪問¬_¬

          1.    Lex.RC1 他說:

            這是我個人的憤慨,他們排除了什麼權利?

            當我在esdebian中註冊時,我不得不等待5天才能張貼,而當我去張貼時,他們要求我5分……我不喜歡它,我兩次(懇切地)問管理員問我,我收到了愚蠢的答复,第三次我將其發送給m…。 我仍在註冊:/

            您應該考慮促進論壇發展並創建一個公平的選擇,我認為隨著旅程和追隨者的成功,這並不困難。

            1.    KZKG ^ Gaara 他說:

              擁有他們是管理員的權利……絕對不可能,這是過去的水,我們必須把它搞砸了,別無其他。 實際上,我最後一次進入該網站是與其他國家的IP一起。

              在給論壇助一臂之力時,您是對的,我們只是還沒有考慮如何做🙂


          2.    Lex.RC1 他說:

            在一些想法中,第一件事就是給予更多的提升,通過邏輯,您可以在主頁上獲得兩個必不可少的存在,並將評論更改為論壇中的帖子...這也將有助於按類型和性別更好地索引評論,與論壇保持一致。

            1.    elav <°Linux 他說:

              我們正在努力……無論如何,如果有人可以拉線幫助我們完成任務,那就更好了。 我們需要的是如何從FluxBB RSS提要中獲取信息並將其打印在使用PHP的網站上。


            2.    KZKG ^ Gaara 他說:

              將評論更改為論壇後,它必須對讀者是自動且完全透明的,而且我們還沒有找到如何做的🙁


  2.   愛德華2 他說:

    看起來 http://www.esdebian.org 現在很糟糕,順便說一下,該論壇中有一些hdp,即使不是絕大多數。 當我使用debian時,我瀏覽了論壇,看看有什麼新內容,他們總是對新手做出回應。 Jo我寧願避免回答他們,也不願給出對他們無濟於事的回答,而這會激怒我,而我卻沒有。

    1.    KZKG ^ Gaara 他說:

      我包括我自己。 我曾經問過一個不那麼愚蠢的問題,他們告訴我我是一個傻瓜,只是因為我必須用特定的參數編譯一個軟的(我不記得是哪個,我認為是Squid)……來吧,不要搞砸我! 如果這是胡說八道,我會接受它們,提出您的冒犯性批評,但也不要反對所有人。

      如果再加上那段時間,來自古巴(我和拉夫和我住的地方)的IP被拒絕進入該站點,他們贏得了我的拒絕¬_¬

      是的,很多有價值的信息,但是溝通不好,我經常要處理很多時間。

      1.    勇氣 他說:

        論壇上有很多人參加,我看到人們對這個論壇的評價很差,而其他人則相反。 我不認識他,但我知道論壇,如果您不是“專業人士”,他們將不會回答您,例如Foro MTB。

        和拱論壇? 看起來好像不是壞人,但是……如果我去那裡會發生什麼?

        這就是為什麼我用郵寄方式粉碎人們的原因,那裡有Malcer,收件箱裡充滿了我或Jabba的電子郵件,其中有些人準時發送給elav,另一人及時發給KZKG ^ Gaara(我的意思是認真的人,不是足球)。

        對每個人都更好吧?

        哈哈哈哈(JAHAJAJAJAJAJAJA)

        1.    何塞·米格爾(JoséMiguel) 他說:

          對於論壇本身的生活,有些“人”需要感覺自己是一個人,因此需要比其他人更多。

          他們喜歡自己唯一的才能進行比較,並且喜歡與同伴ing碰或揉肩膀,因為這是他們成為別人的方式。

          他們不給更多,我們不要問榆樹梨。

  3.   愛德華多 他說:

    你說的沒錯。 我從來不敢問任何事情,因為擔心回答不及時。 他們似乎忘記了,如果它是一個通用操作系統,它們甚至應該對新手開放。
    但是必須承認,在Wiki和esdebian論壇中,您可以找到所需的一切答案。

    1.    愛德華2 他說:

      哈哈哈哈什麼事,好吧,如果您沒有得到一個怪異的答案,它會有所幫助,儘管在archwiki及其論壇中對我來說相同或更好,對於那些菜鳥問明顯問題的人,他們將直接鏈接到Wiki或給出答案親切的,他們要求您搜索Wiki或論壇,而不是訂購,他們建議它用於將來的問題/疑問/疑問。

  4.   油脂 他說:

    這篇文章非常有用,但是如果我們需要安裝上述應用程序。 如果他們繼續在GNU / Linux Debian上發帖,我將對<°LINUX上癮。

    的問候!

    1.    KZKG ^ Gaara 他說:

      上癮? …那就是哈哈!
      如果您是Debian愛好者,我建議您尋找我們的Debian標籤,還可以查看LMDE文章(Linux Mint Debian Edition),該文章最後仍然是Debian😉

      真的很高興知道您喜歡我們的內容,這真令人感到安慰。
      如果您有任何疑問或疑問,想法,投訴或建議,請告訴我們,好吧,在這裡我們就像朋友一樣,我們互相幫助^ _ ^

      問候

      1.    勇氣 他說:

        上癮? …那就是哈哈!

        我們會看看我是否上癮...成癮很糟糕哈哈,如果我因為他們做得不好我就怪你哈哈哈

      2.    油脂 他說:

        謝謝! 我已經在尋找標籤了,但是我想專注於GNU / Linux Debian,最好是Lenny或Squeeze

        恭喜您! 他們繼續這樣...

    2.    elav <°Linux 他說:

      相信我,我們將擁有更多的東西,我一直使用Debian,我使用Debian,從我的觀察中,我將繼續使用Debian :)

  5.   勇氣 他說:

    使用高於2.6.32-5-686版本的內核,可能是字體顯示不正確。

    我不知道那種字體,但是……真的那麼糟糕嗎?

    1.    elav <°Linux 他說:

      當我指代字體時,我指的是錯誤命名的文本字體。 是的,相信我,這太糟糕了,在上一個博客中,我談到了該主題,並留下了一些有關字體顯示方式的圖片。 有時幾乎不可能閱讀。

      1.    勇氣 他說:

        給我鏈接,我已經很好奇了

        當我提到字體時,我指的是錯誤命名的文本字體

        我不是一個“退縮者”

  6.   賈爾斯 他說:

    :〜#apt-get安裝turpial /測試
    正在閱讀包裝清單...完成
    創建依賴樹
    正在讀取狀態信息...完成
    為“ turpial”選擇了版本“ 1.5.0-1”(Debian:測試[全部])
    不要安裝一些包裝。 這可能意味著
    您要求一個不可能的情況,或者如果您使用的是發行版
    不穩定,尚未創建某些必需的軟件包或具有
    已移出“傳入”。
    以下信息可以幫助解決這種情況:

    以下軟件包具有未滿足的依賴性:
    turpial:取決於:python-gtk2(> = 2.12.0)但不會安裝
    取決於:python-notify(> = 0.1.1)但不會安裝
    取決於:python-gst0.10但無法安裝
    取決於:python-webkit(> = 1.1.2)但無法安裝
    取決於:python-gtkspell但無法安裝
    E:包裝破損

    以同樣的方式,如果使用aptitude或apt-get升級完成了安全升級...警告下載500mb以上,即更新發行版...您能否解釋一下有關apt-pining和破損軟件包問題的更多信息。我有什麼?非常感謝

    1.    elav <°Linux 他說:

      向我展示您的/ etc / apt / preferences文件和/etc/apt/sources.list,因為它對我有用,沒有問題。 現在,我要澄清的是,這種apt-pinning並非萬能藥,只是可能會或不會造成問題的替代方案。

  7.   塞爾吉奧·阿隆索 他說:

    謝謝,它在Wheezy上對Jessie的工作非常完美,並允許我用穩定的最新測試openssh進行修補。